
//Plugin wrapper class.
function ApkBuilder( options )
{
    this.plg = _CreatePlugin( "org.androidscript.plugins.ApkBuilder", options );  
	this.GetVersion = function() { return 2.67; }

    this.UpdateManifest = function( inFile, outFile, packageName, appName, version, perms, appFldr, options )
    {
        this.plg.Send( "UpdateManifest", app.RealPath(inFile), app.RealPath(outFile), packageName, appName, version, perms, app.RealPath(appFldr), options )
    }

    this.SignAPK = function( inputFile, outputFile, keystoreFile, keystoreAlias, keystorePass, keyPass )
    {
        return this.plg.Send( "SignAPK", app.RealPath(inputFile), app.RealPath(outputFile), app.RealPath(keystoreFile), keystoreAlias, keystorePass, keyPass )
    }
}
